Index Page sphlat_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void sphlat_c ( SpiceDouble     r,
                       SpiceDouble     colat,
                       SpiceDouble     lons,
                       SpiceDouble   * radius,
                       SpiceDouble   * lon,
                       SpiceDouble   * lat )

#### Abstract

       Convert from spherical coordinates to latitudinal coordinates.

#### Required_Reading

       None.

#### Keywords

       CONVERSION, COORDINATES

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       r          I   Distance of the point from the origin.
       colat      I   Angle of the point from positive z axis (radians).
       lons       I   Angle of the point from the XZ plane (radians).
       radius     O   Distance of a point from the origin
       lon        O   Angle of the point from the XZ plane in radians
       lat        O   Angle of the point from the XY plane in radians

#### Detailed_Input

       r          Distance of the point from the origin.

       colat      Angle between the vector from the origin to the point
                  and the positive z axis in radians.

       lons       Angle of the point from the XZ plane (radians).

#### Detailed_Output

       radius     Distance of a point from the origin

       lon        Angle of the point from the XZ plane in radians. `lon'
                  is set equal to `lons'.

       lat        Angle of the point from the XY plane in radians. `lat'
                  is computed as pi/2 - `colat'.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       This routine returns the latitudinal coordinates of a point
       whose position is input in spherical coordinates.

       Latitudinal coordinates are defined by a distance from a central
       reference point, an angle from a reference meridian, and an angle
       above the equator of a sphere centered at the central reference
       point.

       Spherical coordinates are defined by a distance from a central
       reference point, an angle from a reference meridian, and an angle
       from the z-axis.

#### Examples

       Latitude is obtained by subtracting co-latitude from HALFPI()
       Radius and longitude mean the same thing in both latitudinal
       and spherical coordinates.  The table below lists lat and
       corresponding colat in terms of degrees.

               lat            colat
              ------         ------
                0             90
               20             70
               45             45
              -30            120
               90              0
              -45            135

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       W.L. Taber      (JPL)

#### Version

       -CSPICE Version 1.0.1, 26-JUL-2016 (BVS)

          Minor headers edits.

       -CSPICE Version 1.0.0, 08-FEB-1998   (EDW)

#### Index_Entries

       spherical to latitudinal coordinates

#### Link to routine sphlat_c source file sphlat_c.c

    Wed Apr  5 17:54:43 2017